// -*- C++ -*-

//=============================================================================
/**
 *  @file    grp.h
 *
 *  group structure
 *
 *  grp.h,v 1.2 2003/04/21 15:52:59 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_GRP_H
#define ACE_OS_INCLUDE_GRP_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#include "ace/os_include/sys/types.h" // for gid_t

#if !defined (ACE_LACKS_GRP_H)
# include /**/ <grp.h>
#endif /* !ACE_LACKS_GRP_H */

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_GRP_H */
